%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global tarball_name apache-libcloud
%define tarball_version 2.2.1

Name:           python-libcloud
Version:        2.2.1
Release:        20180102gitd701bf9%{?dist}
Summary:        A standard Python library that abstracts away differences among multiple cloud provider APIs

Group:          Development/Languages
License:        Apache License (2.0)
URL:            http://libcloud.apache.org/
Source0:        %{tarball_name}-%{tarball_version}.tar.gz

BuildArch:      noarch

Requires:	python-requests
Requires:	python-backports-ssl_match_hostname

BuildRequires:  python-setuptools
BuildRequires:  python2-devel

%description
Apache Libcloud is a Python library which hides differences between different
cloud provider APIs and allows you to manage different cloud resources through
a unified and easy to use API

%prep
%setup -qn %{tarball_name}-%{tarball_version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue Jan 2 2018 Alex Misstear <amisstea@redhat.com> - 2.2.1-20180102gitd701bf9
- Removed pytest-runner setup requirement

* Tue Jan 2 2018 Alex Misstear <amisstea@redhat.com> - 2.2.1-20180102git327759d
- Add AWS eu-west-3 region to compute and storage
- Add AWS cn-northwest-1 region to compute and storage

* Wed May 24 2017 Alex Misstear <amisstea@redhat.com> - 2.0.0-1
- Official upstream version 2.0.0

* Tue Apr 4 2017 Alex Misstear <amisstea@redhat.com> - 2.0.0-20170404git825be89
- SR-IOV net support now available while registering EC2 images

* Thu Mar 9 2017 Alex Misstear <amisstea@redhat.com> - 2.0.0-20170309gita5a13d2
- Changed back to v2.0.0rc1 upstream base
- Uploads now supported across all regions in S3

* Thu Mar 2 2017 Alex Misstear <amisstea@redhat.com> - 1.5.0-20170302git2bc4c39
- Now based on stable upstream v1.5.0
- Import snapshot support in EC2
- Billing product support for registering images in EC2

* Thu Feb 9 2017 Alex Misstear <amisstea@redhat.com> - 2.0.0-20170213gite7e1aa7
- ENA support to images in EC2 compute driver.
